AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI
AGIScript Class
AGIScript Methods
Answer Method
ControlStreamFile Method
DatabaseDel Method
DatabaseDelTree Method
DatabaseGet Method
DatabasePut Method
Exec Method
GetChannelStatus Method
GetData Method
GetFullVariable Method
GetOption Method
GetVariable Method
Hangup Method
PlayMusicOnHold Method
RecordFile Method
SayAlpha Method
SayDateTime Method
SayDigits Method
SayNumber Method
SayPhonetic Method
SayTime Method
Service Method
SetAutoHangup Method
SetCallerId Method
SetContext Method
SetExtension Method
SetPriority Method
SetVariable Method
StopMusicOnHold Method
StreamFile Method
Verbose Method
WaitForDigit Method

| AGIScript GetChannelStatus Method

Returns the status of the channel.
Return values:

- 0 Channel is down and available
- 1 Channel is down, but reserved
- 2 Channel is off hook
- 3 Digits (or equivalent) have been dialed
- 4 Line is ringing
- 5 Remote end is ringing
- 6 Line is up
- 7 Line is busy

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected int GetChannelStatus()

    Protected Function GetChannelStatus As Integer

    protected:
    int GetChannelStatus()

    member GetChannelStatus : unit -> int

#### Return Value

Type: Int32
the status of the channel.
See Also

#### Reference

AGIScript Class
AsterNET.FastAGI Namespace